Index: html/Elements/Login
--- html/Elements/Login.orig	2003-11-18 01:31:11.000000000 +0100
+++ html/Elements/Login	2003-11-25 17:08:38.000000000 +0100
@@ -87,11 +87,13 @@
 If you've forgotten your username or password, RT can <A
 href="/NoAuth/Reminder.html">send you a reminder</a>.
 -->
+<!--
 <BR>
 <BR>
 <BR>
 <HR>
 <& /Elements/Footer, Menu => 0 &>
+-->
 <%ARGS>
 $user => ""
 $pass => undef
Index: html/Ticket/Elements/ShowMessageStanza
--- html/Ticket/Elements/ShowMessageStanza.orig	2004-03-16 16:19:24.000000000 +0100
+++ html/Ticket/Elements/ShowMessageStanza	2004-03-16 16:20:51.000000000 +0100
@@ -24,12 +24,40 @@
 % if (ref($Message)) {
 <font color="<%$colors[$Depth]%>">
 <%perl>
-foreach my $stanza (@$Message) {
-    if ( ref $stanza eq "ARRAY" ) {
-        $m->comp( 'ShowMessageStanza',
-                  Depth   => $Depth + 1,
-                  Transaction => $Transaction,
-                  Message => $stanza );
+    my $msg='';
+    my $wrapfunc = sub {
+        my $max = 0;
+        foreach ( split ( /\n/, $_[0] ) ) {
+            $max = length if length > $max;
+        }
+        if ( $max > 76 ) {
+            require Text::Wrapper;
+            my $wrapper = new Text::Wrapper(
+                columns    => 70,
+                body_start => ( $max > 70 * 3 ? '   ' : '' ),
+                par_start  => '');
+            $_[0] = $wrapper->wrap($_[0]);
+        }
+        RT::Interface::Web::EscapeUTF8(\$_[0]);
+        $m->comp('/Elements/Callback', content => \$_[0], %ARGS);
+    };
+    foreach my $stanza (@$Message) {
+        if ( ref $stanza eq "ARRAY" ) {
+            if ($msg ne '') {
+                $wrapfunc->($msg);
+</%perl>
+<font color="<%$colors[$Depth]%>"><pre><%$msg |n%></pre></font>
+<%perl>
+                $msg = '';
+            }
+            $m->comp( 'ShowMessageStanza',
+                      Depth   => $Depth + 1,
+                      Transaction => $Transaction,
+                      Message => $stanza );
+        }
+        elsif ( ref $stanza eq "HASH" ) {
+            $msg .= "$stanza->{raw}\n";
+        }
     }
     elsif ( ref $stanza eq "HASH" ) {
         my $content = $stanza->{raw};
Index: lib/RT/Attachment_Overlay.pm
--- lib/RT/Attachment_Overlay.pm.orig	2003-11-18 01:31:13.000000000 +0100
+++ lib/RT/Attachment_Overlay.pm	2003-11-25 17:08:38.000000000 +0100
@@ -318,10 +318,11 @@
     # If we somehow fail to do the decode, at least push out the raw bits
     eval {return( Encode::decode_utf8($content))} || return ($content);
   }
-  
-  eval { Encode::from_to($content, 'utf8' => $enc);};
-  if ($@) {
-	$RT::Logger->error("Could not convert attachment from assumed utf8 to '$enc' :".$@);
+  if (!$enc) {
+    eval { Encode::from_to($content, 'utf8' => $enc);};
+    if ($@) {
+	  $RT::Logger->error("Could not convert attachment from assumed utf8 to '$enc' :".$@);
+    }
   }
   return $content;
 }
Index: lib/RT/User_Overlay.pm
--- lib/RT/User_Overlay.pm.orig	2003-11-18 01:31:14.000000000 +0100
+++ lib/RT/User_Overlay.pm	2003-11-25 17:08:38.000000000 +0100
@@ -279,7 +279,7 @@
     #If the create failed.
     unless ($id) {
         $RT::Handle->Rollback();
-        $RT::Logger->error("Could not create a new user - " .join('-'. %args));
+        $RT::Logger->error("Could not create a new user - " .join('-', %args));
 
         return ( 0, $self->loc('Could not create user') );
     }
Index: html/Elements/Header
--- html/Elements/Header.orig	2005-03-27 09:40:16 +0200
+++ html/Elements/Header	2005-08-11 11:17:29 +0200
@@ -77,7 +77,7 @@
 >
 <table width="100%" border="0" cellspacing="0" cellpadding="0" bgcolor="#FFFFFF">
   <tr> 
-    <td colspan=2><a href="http://bestpractical.com"><img src="<%$RT::WebImagesURL%>/bplogo.gif" alt="<%loc("Best Practical Solutions, LLC corporate logo")%>" width="230" height="50"></a></td>
+    <td colspan=2><a href="<%$RT::LogoLink%>"><img src="<%$RT::LogoURL%>" alt="" width="230" height="50"></a></td>
     <td>&nbsp;</td>
     <td>&nbsp;</td>
     <td width="50%" align="right">
